import 'package:flutter/material.dart';

class SnackBarController {
  static GlobalKey<ScaffoldMessengerState> rootScaffoldMessengerKey;

  static bool showText(String text) {
    return show(Text(text));
  }

  static bool show(Widget widget) {
    if (rootScaffoldMessengerKey == null) return false;

    rootScaffoldMessengerKey.currentState.hideCurrentSnackBar();
    rootScaffoldMessengerKey.currentState.showSnackBar(SnackBar(
      content: widget,
    ));
    return true;
  }
}
